/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 导出结构设置
 */
@Entity
@Table(name = "ec_prt_exam_structure")
public class ExamStructure extends IdEntity {
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 机构ID
     */
    private Long orgId;
    /**
     * 学校id (对应机构表 ecs_core_org)
     */
    private Long schoolId;
    /**
     * 学校名称
     */
    private String schoolName;
    /**
     * 机构名
     */
    private String orgName;
    /**
     * 考试名称
     */
    private String examName;
    /**
     * 考试类型
     * See ExamType.java
     */
    private String examType;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

}